# Payout

This endpoint is used to initiate a payout process. It allows users to specify the amount to be paid out, the country for the transaction, and a narration for reference. Additionally, the momo\_phone\_number parameter is optional; if it is not provided, the payment will reflect in the merchant's momo account.

<mark style="color:green;">POST</mark>  /v1/payment/payouts/process

#### Headers

| Name       | Type   | Description               |
| ---------- | ------ | ------------------------- |
| secret-key | string | Your Redstone  secret key |
| public-key | String | Your Redstone  public key |

#### Request body

* amount (integer): The amount of money to be processed for the payout. This value must be a positive integer.
* countryId (string): A unique identifier for the country where the payout is being processed. This should correspond to a valid country ID.
* momo\_phone\_number (string, optional): The mobile money phone number to which the payout will be sent. If this is not provided, the payment will be credited to the merchant's momo account.
* narration (string: optional): A brief description or note regarding the payout. This helps in identifying the purpose of the transaction.

#### Request

For example, you can make a post request to the endpoint above and pass in the **raw json data** below.

```
{
    
    "amount":123,
    "countryId": "{{zambia_country_id}}",
    "momo_phone_number": "260********",
    "webhook_url": "https://webhook.site/99a3cf82-d235-465a-8c39-8a0105c63df4",
    "narration":"testing" //optional
}
```

#### Response

```
{
    "status": "success",
    "code": 200,
    "message": "payout queued successfully",
    "data": {
        "amount": 26,
        "message": "Payout is being processed by the provider",
        "reference": "PY_6c663231b92a4bbabdff4bcc1",
        "status": "processing"
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.redstonepgs.com/api-documentation/payments/payout.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
